org.apache.maven.shared.model.fileset.util

## Class FileSetManager

- java.lang.Object
- - org.apache.maven.shared.model.fileset.util.FileSetManager

    public class FileSetManager
    extends Object

Provides operations for use with FileSet instances, such as retrieving the included/excluded files, deleting all matching entries, etc.

Version:
  $Id: FileSetManager.java 1721672 2015-12-25 13:18:36Z khmarbaise $
Author:
  jdcasey

### Constructor Summary

Constructors
Constructor and Description
`FileSetManager()` Create a new manager instance with an empty messages.
`FileSetManager(org.apache.maven.plugin.logging.Log log)` Create a new manager instance with the supplied log instance.
`FileSetManager(org.apache.maven.plugin.logging.Log log, boolean verbose)` Create a new manager instance with the supplied log instance and flag for whether to output verbose messages.
`FileSetManager(org.codehaus.plexus.logging.Logger log)` Create a new manager instance with the supplied log instance.
`FileSetManager(org.codehaus.plexus.logging.Logger log, boolean verbose)` Create a new manager instance with the supplied log instance and flag for whether to output verbose messages.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `delete(FileSet fileSet)` Delete the matching files and directories for the given file-set definition.
`void` `delete(FileSet fileSet, boolean throwsError)` Delete the matching files and directories for the given file-set definition.
`String[]` `getExcludedDirectories(FileSet fileSet)` Get all the directory names which have been excluded by the rules in this fileset.
`String[]` `getExcludedFiles(FileSet fileSet)` Get all the filenames which have been excluded by the rules in this fileset.
`String[]` `getIncludedDirectories(FileSet fileSet)` Get all the directory names which have been included by the rules in this fileset.
`String[]` `getIncludedFiles(FileSet fileSet)` Get all the filenames which have been included by the rules in this fileset.
`Map<String,String>` `mapIncludedFiles(FileSet fileSet)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileSetManager

    public FileSetManager(org.apache.maven.plugin.logging.Log log,
                          boolean verbose)

Create a new manager instance with the supplied log instance and flag for whether to output verbose messages.

Parameters:
  `log` - The mojo log instance
  `verbose` - Whether to output verbose messages

#### FileSetManager

    public FileSetManager(org.apache.maven.plugin.logging.Log log)

Create a new manager instance with the supplied log instance. Verbose flag is set to false.

Parameters:
  `log` - The mojo log instance

#### FileSetManager

    public FileSetManager(org.codehaus.plexus.logging.Logger log,
                          boolean verbose)

Create a new manager instance with the supplied log instance and flag for whether to output verbose messages.

Parameters:
  `log` - The mojo log instance
  `verbose` - Whether to output verbose messages

#### FileSetManager

    public FileSetManager(org.codehaus.plexus.logging.Logger log)

Create a new manager instance with the supplied log instance. Verbose flag is set to false.

Parameters:
  `log` - The mojo log instance

#### FileSetManager

    public FileSetManager()

Create a new manager instance with an empty messages. Verbose flag is set to false.

### Method Detail

#### mapIncludedFiles

    public Map<String,String> mapIncludedFiles(FileSet fileSet)
                                        throws MapperException

Parameters:
  `fileSet` - `FileSet`
Returns:
  the included files as map
Throws:
  `MapperException` - if any
See Also:
  `getIncludedFiles(FileSet)`

#### getIncludedFiles

    public String[] getIncludedFiles(FileSet fileSet)

Get all the filenames which have been included by the rules in this fileset.

Parameters:
  `fileSet` - The fileset defining rules for inclusion/exclusion, and base directory.
Returns:
  the array of matching filenames, relative to the basedir of the file-set.

#### getIncludedDirectories

    public String[] getIncludedDirectories(FileSet fileSet)

Get all the directory names which have been included by the rules in this fileset.

Parameters:
  `fileSet` - The fileset defining rules for inclusion/exclusion, and base directory.
Returns:
  the array of matching dirnames, relative to the basedir of the file-set.

#### getExcludedFiles

    public String[] getExcludedFiles(FileSet fileSet)

Get all the filenames which have been excluded by the rules in this fileset.

Parameters:
  `fileSet` - The fileset defining rules for inclusion/exclusion, and base directory.
Returns:
  the array of non-matching filenames, relative to the basedir of the file-set.

#### getExcludedDirectories

    public String[] getExcludedDirectories(FileSet fileSet)

Get all the directory names which have been excluded by the rules in this fileset.

Parameters:
  `fileSet` - The fileset defining rules for inclusion/exclusion, and base directory.
Returns:
  the array of non-matching dirnames, relative to the basedir of the file-set.

#### delete

    public void delete(FileSet fileSet)
                throws IOException

Delete the matching files and directories for the given file-set definition.

Parameters:
  `fileSet` - The file-set matching rules, along with search base directory
Throws:
  `IOException` - If a matching file cannot be deleted

#### delete

    public void delete(FileSet fileSet,
                       boolean throwsError)
                throws IOException

Delete the matching files and directories for the given file-set definition.

Parameters:
  `fileSet` - The file-set matching rules, along with search base directory.
  `throwsError` - Throw IOException when errors have occurred by deleting files or directories.
Throws:
  `IOException` - If a matching file cannot be deleted and `throwsError=true`, otherwise print warning messages.